Package be.fgov.ehealth.commons.core.v2

# Class Id

java.lang.Object
be.fgov.ehealth.commons.core.v2.Id

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class Id extends Object implements Serializable
Type of Identifier.

Java class for IdType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IdType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Id()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getType()`
  Gets the value of the type property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setType(String value)`
  Sets the value of the type property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Id

    public Id()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`